Update a user

Updates the user information for the given user id.

put
Path parameters
idstringRequired

The id of the user.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The presentation data transfer object for updating the user.

usernamestring · nullableOptional

The username of the user.

Example: username
emailAddressstring · nullableOptional

The email address of the user.

Example: example@jframework.io
nickNamestring · nullableOptional

The nickname of the user.

Example: example
firstNamestring · nullableOptional

The first name of the user.

Example: John
lastNamestring · nullableOptional

The nickname of the user.

Example: Doe
languageCodestring · nullableOptional

The language code of the user. The language code is composed of two parts: the language code and the country code. The language code is a lowercase two-letter code derived from ISO 639-1. The country code is an uppercase two-letter code derived from ISO 3166.

Example: en-US
countryCodestring · nullableOptional

The country code of the user.

timeZoneIdstring · nullableOptional

The id time zone of the user.

phoneNumberstring · nullableOptional

The primary phone number of the user. The phone number is in the E.164 format.

Example: +1234567890
avatarstring · uri · nullableOptional

The avatar of the user. The avatar is a URL of the image.

biostring · nullableOptional

The bio is a short description of the user.

Example: example
websitestring · uri · nullableOptional

The website of the user want to update. The website is a URL of the user.

Example: https://mywebsite.com
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

put
/api/v1/users/{id}

Last updated